%define upstream_name       Config-Model-CursesUI
%define upstream_version 1.105

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Curses interface for Config::Model
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Model) >= 1.233.0
BuildRequires: perl(Curses::UI) >= 0.960.600
BuildRequires: perl(Exception::Class)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Module::Build) >= 0.420.0
BuildRequires: perl(Mouse::Meta::Attribute::Custom::Trait::Hash)
BuildArch:  noarch

%description
This class provides a the Curses::UI manpage interface to configuration
data managed by the Config::Model manpage.

IMPORTANT: Once the CursesUI object is created, STDOUT and STDERR are
managed by the Curses interface, so all print and warn will not work as
expected.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.105.0-3.mga6
+ Revision: 1024301
- Rebuild for perl 5.22.2

  + shlomif <shlomif>
    - Update URL

* Sat Apr 30 2016 shlomif <shlomif> 1.105.0-1.mga6
+ Revision: 1008047
- Add missing BR
- update to 1.105

* Thu Feb 04 2016 umeabot <umeabot> 1.104.0-7.mga6
+ Revision: 935737
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.104.0-6.mga5
+ Revision: 741046
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.104.0-5.mga5
+ Revision: 683990
- Mageia 5 Mass Rebuild

* Mon Dec 23 2013 umeabot <umeabot> 1.104.0-4.mga4
+ Revision: 560083
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.104.0-2.mga3
+ Revision: 364696
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 09 2011 jquelin <jquelin> 1.104.0-1.mga1
+ Revision: 66929
- update to 1.104

* Wed Jan 26 2011 jquelin <jquelin> 1.103.0-1.mga1
+ Revision: 41250
- mageia rebuild
- imported package perl-Config-Model-CursesUI


* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.103.0-1mdv2010.0
+ Revision: 393055
- import perl-Config-Model-CursesUI


* Mon Jul 06 2009 cpan2dist 1.103-1mdv
- initial mdv release, generated with cpan2dist

